Hey! These docs are for version 2.0, which is no longer officially supported. Click here for the latest version, 2.7!

pex-binary-defaults

Default settings for creating PEX executables.

Config section: [pex-binary-defaults]

Basic options

None

Advanced options

--[no-]pex-binary-defaults-emit-warnings
PANTS_PEX_BINARY_DEFAULTS_EMIT_WARNINGS
emit_warnings
default: True
Whether built PEX binaries should emit PEX warnings at runtime by default. Can be overridden by specifying the `emit_warnings` parameter of individual `pex_binary` targets

Deprecated options

--[no-]pex-binary-defaults-pex-emit-warnings
PANTS_PEX_BINARY_DEFAULTS_PEX_EMIT_WARNINGS
pex_emit_warnings
default: True
Deprecated, will be removed in version: 2.1.0.dev0
Use `emit_warnings` rather than `pex_emit_warnings`.
Whether built PEX binaries should emit pex warnings at runtime by default. Can be overridden by specifying the `emit_warnings` parameter of individual `pex_binary` targets


Did this page help you?